_Edje_External_Param_Info Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Edje_External_Param_Info Struct Reference
Edje » Edje External

Struct holding information about an EXTERNAL part's parameters. More...

`#include <Edje_Common.h>`

## Data Fields
const char * | name
| Name of the parameter.
Edje_External_Param_Type | type
| Type of the parameter.
Edje_External_Param_Flags | flags
| Flags indicating how this parameter is used.
union {
struct {
int def
| Default value for the parameter.
int min
| Minimum value it can have.
int max
| Maximum value it can have.
int step
| Values will be a multiple of this.
} i
| Info about integer type parameters. More...
struct {
double def
| Default value for the parameter.
double min
| Minimum value it can have.
double max
| Maximum value it can have.
double step
| Values will be a multiple of this.
} d
| Info about double type parameters. More...
struct {
const char * def
| Default value.
const char * accept_fmt
| Not implemented.
const char * deny_fmt
| Not implemented.
} s
| Info about string type parameters. More...
struct {
int def
| Default value.
const char * false_str
| String shown by editors to indicate the false state.
const char * true_str
| String shown by editors to indicate the true state.
} b
| Info about boolean type parameters.
struct {
const char * def
| Default value.
const char ** choices
char *(* def_get )(void *data, const Edje_External_Param_Info *info)
char **(* query )(void *data, const Edje_External_Param_Info *info)
| return malloc() memory with the default choice, should be used if def is NULL. More...
} c
| Info about choice type parameters.
} | info

## Detailed Description

Struct holding information about an EXTERNAL part's parameters.

When creating types to use with EXTERNAL parts, an array of this type is used to describe the different parameters the object uses.

This struct holds the name, type and flags that define how and when the parameter is used, as well as information specific to each type, like the maximum or minimum value, that can be used by editors to restrict the range of values to set for each parameter.

## Field Documentation

## ◆ def

int _Edje_External_Param_Info::def

Default value for the parameter.

Default value.

Referenced by edje_edit_state_add().

## ◆

struct { ... } _Edje_External_Param_Info::i

Info about integer type parameters.

Use EDJE_EXTERNAL_INT_UNSET on any of them to indicate they are not defined.

Referenced by edje_edit_state_add().

## ◆

struct { ... } _Edje_External_Param_Info::d

Info about double type parameters.

Use EDJE_EXTERNAL_DOUBLE_UNSET on any of them to indicate they are not defined.

Referenced by edje_edit_state_add().

## ◆

struct { ... } _Edje_External_Param_Info::s

Info about string type parameters.

NULL indicates undefined.

Referenced by edje_edit_state_add().

## ◆ query

char **(* _Edje_External_Param_Info::query) (void *data, const Edje_External_Param_Info *info)

return malloc() memory with the default choice, should be used if def is NULL.

First parameter is Edje_External_Type::data